diff --git a/drivers/regulator/max77686-regulator.c b/drivers/regulator/max77686-regulator.c
index 8020eb57374a..fcd1ce23e824 100644
--- a/drivers/regulator/max77686-regulator.c
+++ b/drivers/regulator/max77686-regulator.c
@@ -131,6 +131,8 @@ static int max77686_set_suspend_disable(struct regulator_dev *rdev)
 	if (ret)
 		return ret;
 
+	pr_info("%s: regulator suspend disable supported\n",
+				rdev->desc->name);
 	max77686->opmode[id] = val;
 	return 0;
 }
@@ -149,13 +151,17 @@ static int max77686_set_suspend_mode(struct regulator_dev *rdev,
 
 	switch (mode) {
 	case REGULATOR_MODE_IDLE:			/* ON in LP Mode */
+		pr_info("%s: regulator_idle_mode : 0x%x supported\n",
+				rdev->desc->name, mode);
 		val = MAX77686_LDO_LOWPOWER_PWRREQ;
 		break;
 	case REGULATOR_MODE_NORMAL:			/* ON in Normal Mode */
+		pr_info("%s: regulator_normal_mode : 0x%x supported\n",
+				rdev->desc->name, mode);
 		val = max77686_map_normal_mode(max77686, id);
 		break;
 	default:
-		pr_warn("%s: regulator_suspend_mode : 0x%x not supported\n",
+		pr_err("%s: regulator_suspend_mode : 0x%x not supported\n",
 			rdev->desc->name, mode);
 		return -EINVAL;
 	}
@@ -166,6 +172,8 @@ static int max77686_set_suspend_mode(struct regulator_dev *rdev,
 	if (ret)
 		return ret;
 
+	pr_info("%s: regulator suspend disable supported\n",
+				rdev->desc->name);
 	max77686->opmode[id] = val;
 	return 0;
 }
@@ -180,12 +188,18 @@ static int max77686_ldo_set_suspend_mode(struct regulator_dev *rdev,
 
 	switch (mode) {
 	case REGULATOR_MODE_STANDBY:			/* switch off */
+		pr_info("%s: regulator_standby mode : 0x%x supported\n",
+			rdev->desc->name, mode);
 		val = MAX77686_OFF_PWRREQ;
 		break;
 	case REGULATOR_MODE_IDLE:			/* ON in LP Mode */
+		pr_info("%s: regulator_idle mode : 0x%x supported\n",
+			rdev->desc->name, mode);
 		val = MAX77686_LDO_LOWPOWER_PWRREQ;
 		break;
 	case REGULATOR_MODE_NORMAL:			/* ON in Normal Mode */
+		pr_info("%s: regulator_normal mode : 0x%x supported\n",
+			rdev->desc->name, mode);
 		val = max77686_map_normal_mode(max77686, id);
 		break;
 	default:
